org.apache.ignite.internal.processors.igfs.client.meta

## Class IgfsClientMetaInfoForPathCallable

- java.lang.Object
- - org.apache.ignite.internal.processors.igfs.client.IgfsClientAbstractCallable<IgfsEntryInfo>
  - - org.apache.ignite.internal.processors.igfs.client.meta.IgfsClientMetaInfoForPathCallable

All Implemented Interfaces:
  Serializable, Callable<IgfsEntryInfo>, Binarylizable, IgniteCallable<IgfsEntryInfo>

    public class IgfsClientMetaInfoForPathCallable
    extends IgfsClientAbstractCallable<IgfsEntryInfo>

Get entry info for the given path.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.igfs.client.IgfsClientAbstractCallable

`igfsName, path, user`

### Constructor Summary

Constructors
Constructor and Description
`IgfsClientMetaInfoForPathCallable()` Default constructor.
`IgfsClientMetaInfoForPathCallable(String igfsName, String user, IgfsPath path)` Constructor.

### Method Summary

Methods
`protected IgfsEntryInfo` `call0(IgfsContext ctx)` Execute task.
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.processors.igfs.client.IgfsClientAbstractCallable

`call, readBinary, readBinary0, writeBinary, writeBinary0`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgfsClientMetaInfoForPathCallable

    public IgfsClientMetaInfoForPathCallable()

Default constructor.

#### IgfsClientMetaInfoForPathCallable

    public IgfsClientMetaInfoForPathCallable(@Nullable
                                     String igfsName,
                                     @Nullable
                                     String user,
                                     IgfsPath path)

Constructor.

Parameters:
  `igfsName` - IGFS name.
  `user` - IGFS user name.
  `path` - Path.

### Method Detail

#### call0

    protected IgfsEntryInfo call0(IgfsContext ctx)
                           throws Exception

Execute task.

Specified by:
  `call0` in class `IgfsClientAbstractCallable<IgfsEntryInfo>`
Parameters:
  `ctx` - IGFS ocntext.
Returns:
  Result.
Throws:
  `Exception` - If failed.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017